Package org.apache.wiki.api.exceptions

# Class RedirectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.wiki.api.exceptions.WikiException
org.apache.wiki.api.exceptions.FilterException
org.apache.wiki.api.exceptions.RedirectException

All Implemented Interfaces:
  `Serializable`

public class RedirectException extends FilterException
This exception may be thrown if a filter wants to reject something and redirect the user elsewhere.

Since:
  2.1.112
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RedirectException(String msg, String redirect)`
Constructs a new RedirectException.

## Method Summary

Modifier and Type
Method
Description
`String`
`getRedirect()`
Get the URI for redirection.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RedirectException

public RedirectException(String msg, String redirect)
Constructs a new RedirectException.

Parameters:
  `msg` - The message for the exception
  `redirect` - The redirect URI.

## Method Details

### getRedirect

public String getRedirect()
Get the URI for redirection.

Returns:
  The URI given in the constructor.